----------------------------------------------------------------------------------
-- Label widget
-----------------------------------------------------------------------------------

function lblOnShow( label )
	--TODO parametrize color
	canvas:setColor( 0, 0, 0, 255 )
	canvas:setFont( getFont(), label.fontSize )
	canvas:drawText( label.txt, label.x, label.y)
	canvas:flush()
end

function lblOnHide( label )
	local w,h = canvas:measureText(label.txt)
	canvas:clear( label.x, label.y, w, h)
end

function lblNew( name, x, y, txt )
	local label = wdtNew( name, nil, x, y, 'Label' )
	label.actions.onShow = lblOnShow
	label.actions.onHide = lblOnHide
	
	label.fontSize = 16
	label.txt = txt
	return label
end

function text( label, txt )
	label._txt = txt
end