----------------------------------------------------------------------------------
-- About widget
-----------------------------------------------------------------------------------

AboutWindow = wndNew( 'About', MenuWindow, 160, 243 )

function AboutWindow.actions.onCreate( win )
	logMethod( TRACE, 'onCreate', win['name'] )

	--	Background
	local background = bgNew('background',	win.x, win.y, 'about.png')
	bgAddText( background, "Versión " ..zapperVersion, win.x+138, win.y+44, 9 )
	bgAddText( background, "(build " .. lplayerBuild .. ")", win.x+138, win.y+56, 9 )
	bgAddText( background, "Wari permite ver Tv digital abierta y está", win.x+20, win.y+96, 13, {r=255,g=255,b=255,a=255} )
	bgAddText( background, "integrado con", win.x+20, win.y+120, 13, {r=255,g=255,b=255,a=255} )
	wndAddWidget( win, background )

	--	Resize window to background image
	wndResize( win, bgSize(background) ) 

	background = bgNew('ginga-logo', win.x+102, win.y+102, 'LogoGinga.png')
	wndAddWidget( win, background )

	--	Forward keys
	--	Setup keys: Forward toggle list actions
	win.keys.Release = {
		  [KEY_SMALL_I] = 'onAboutClose',
		  [KEY_EXIT] = 'onAboutClose',
		  [KEY_ESCAPE] = 'onAboutClose'
	}

end

function AboutWindow.actions.onAboutClose( wdt )
	wdtSetVisible( wdt, false )
end
